//=============================================================================
// PBRocket Decoration.
// Author: TheDane.
// Edited By: Sakura|FACE
//=============================================================================

class PBRocket extends Decoration;

#exec MESH IMPORT MESH=PBRocket ANIVFILE=models\PBRocket_a.3d DATAFILE=models\PBRocket_d.3d x=0 y=0 z=0
#exec MESH ORIGIN MESH=PBRocket x=0 y=0 z=0 YAW=64
#exec MESH SEQUENCE MESH=PBRocket SEQ=All STARTFRAME=0 NUMFRAMES=1
#exec MESH SEQUENCE MESH=PBRocket SEQ=Still  STARTFRAME=0   NUMFRAMES=1
#exec TEXTURE IMPORT NAME=cRed FILE=textures\cRed.bmp
#exec TEXTURE IMPORT NAME=cSilver FILE=textures\cRedRocket2.bmp
#exec TEXTURE IMPORT NAME=cRedRocket FILE=textures\cRedRocket.bmp
#exec MESHMAP NEW MESHMAP=PBRocket MESH=PBRocket
#exec MESHMAP SCALE MESHMAP=PBRocket x=1.17188 y=1.17188 z=2.34375


// Use this for troubleshooting.
//  function PostBeginPlay()
//  {
//     Super.PostBeginPlay();
//     BroadcastMessage("Rocket summoned");
//  }

defaultproperties
{
  DrawType=DT_Mesh
  Mesh=Mesh'PBRocket'
  bStatic=False
  bCollideWhenPlacing=True
  bCollideActors=True
  bCollideWorld=True
  bBlockActors=True
  bBlockPlayers=True
  CollisionRadius=152
  CollisionHeight=280
  //CollisionRadius=152.00049
  //CollisionHeight=300.00000
  MultiSkins(0)=Texture'cRed'
  MultiSkins(1)=Texture'cSilver'
  MultiSkins(2)=Texture'cRedRocket'
 }